Subject: bug#31495: 26.1; filename completion -vs- "*"

From: Tino Calancha <[email-masked]>
Date: Wed, 20 Jun 2018 22:08:23 +0900 (JST)

> I set '/bin/sh' to '/bin/zsh' mainly to have globstar in dired; often,
> I find that I reset it to 'bash' and globstar stop working with Dired :-(
You might be wondering why I reset back '/bin/sh' to '/bin/bash'.
The reason is that `shell-prompt-pattern' doesn't recognize my 
zsh prompt;
that means, if I want to visit dired as root:
emacs -Q 
C-x d /sudo::/bin
;; this command won't end if I am using zsh.
;; It works OK with other shells (dash, bash, etc).

I can modify `shell-prompt-pattern' myself but if I use
emacs -Q
still I cannot use dired as root in that case, which it's handy.